# LigParGenForceFieldSource

class `propertyestimator.forcefield.``LigParGenForceFieldSource`(preferred_charge_model=<ChargeModel.CM1A_1_14_LBCC: '1.14*CM1A-LBCC'>, cutoff=<Quantity(9.0, 'angstrom')>)

  A wrapper and the OPLSAAM force field which can be applied via the LigParGen server.

  References

  [1] Potential energy functions for atomic-level simulations of water and organic and

    biomolecular systems. Jorgensen, W. L.; Tirado-Rives, J. Proc. Nat. Acad. Sci. USA 2005, 102, 6665-6670

  [2] 1.14*CM1A-LBCC: Localized Bond-Charge Corrected CM1A Charges for Condensed-Phase

    Simulations. Dodda, L. S.; Vilseck, J. Z.; Tirado-Rives, J.; Jorgensen, W. L. J. Phys. Chem. B, 2017, 121 (15), pp 3864-3870

  [3] LigParGen web server: An automatic OPLS-AA parameter generator for organic ligands.

    Dodda, L. S.;Cabeza de Vaca, I.; Tirado-Rives, J.; Jorgensen, W. L. Nucleic Acids Research, Volume 45, Issue W1, 3 July 2017, Pages W331-W336

  `__init__`(preferred_charge_model=<ChargeModel.CM1A_1_14_LBCC: '1.14*CM1A-LBCC'>, cutoff=<Quantity(9.0, 'angstrom')>)

    Constructs a new LigParGenForceFieldSource object

    Parameters

      - preferred_charge_model (ChargeModel) – The preferred charge model to apply. In some cases the preferred charge model may not be applicable (e.g. 1.14*CM1A-LBCC may only be applied to neutral molecules) and so another model may be applied in its place.

      - cutoff (unit.Quantity) – The non-bonded interaction cutoff.

  Methods

  `__init__`([preferred_charge_model, cutoff]) | Constructs a new LigParGenForceFieldSource object
  `json`() | Creates a JSON representation of this class.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.

  Attributes

  `cutoff` | The non-bonded interaction cutoff.
  `preferred_charge_model` | The preferred charge model to apply.

  class `ChargeModel`

    An enumeration.

  property `preferred_charge_model`

    The preferred charge model to apply. In some cases the preferred charge model may not be applicable (e.g. 1.14*CM1A-LBCC may only be applied to neutral molecules) and so another model may be applied in its place.

    Type

      ChargeModel

  property `cutoff`

    The non-bonded interaction cutoff.

    Type

      unit.Quantity

  `json`()

    Creates a JSON representation of this class.

    Returns

      The JSON representation of this class.

    Return type

      str

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any